package server;

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface PersistMessagePool extends Remote{
	
	// create a queue with a specific name
	public void createQueue(String name) throws RemoteException;
	
	// delete a queue with a specific name
	public void deleteQueue(String name) throws RemoteException;

	// put a message to a specific queue
	public void put(String msg, String queueName) throws RemoteException;
	
	// get a message from a specific queue
	public String get(String queueName) throws RemoteException;
}
